CVE-2009-4413

NameCVE-2009-4413
DescriptionThe httpClientDiscardBody function in client.c in Polipo 0.9.8, 0.9.12, 1.0.4, and possibly other versions, allows remote attackers to cause a denial of service (crash) via a request with a large Content-Length value, which triggers an integer overflow, a signed-to-unsigned conversion error with a negative value, and a segmentation fault.
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
ReferencesDSA-2002-1
NVD severitymedium (attack range: remote)
Debian Bugs560779
Debian/oldstablenot vulnerable.
Debian/stablenot vulnerable.
Debian/testingnot vulnerable.
Debian/unstablenot vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
polipo (PTS)squeeze1.0.4.1-1.1fixed
wheezy1.0.4.1-1.2fixed
jessie, sid1.1.1-5fixed

The information above is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
poliposource(unstable)1.0.4-2low560779
poliposourcelenny1.0.4-1+lenny1mediumDSA-2002-1

Notes

[etch] - polipo <no-dsa> (Minor issue)
[lenny] - polipo <no-dsa> (Minor issue)

Search for package or bug name: Reporting problems